[RFC,v2,3/3] doc/linux_gsg: require pyelftools for pmdinfogen
diff mbox series

Message ID 20200702000232.10761-4-dmitry.kozliuk@gmail.com
State Superseded, archived
Delegated to: Thomas Monjalon
Headers show
Series
  • pmdinfogen: rewrite in Python
Related show

Checks

Context Check Description
ci/Intel-compilation success Compilation OK
ci/checkpatch success coding style OK

Commit Message

Dmitry Kozlyuk July 2, 2020, 12:02 a.m. UTC
The package is available on all major distributions.
FreeBSD has no system requirements section in its GSG,
Windows currently neither uses pmdinfogen not is supported by it.

Signed-off-by: Dmitry Kozlyuk <dmitry.kozliuk@gmail.com>
---
 doc/guides/linux_gsg/sys_reqs.rst | 6 ++++++
 1 file changed, 6 insertions(+)

Comments

Neil Horman July 6, 2020, 12:52 p.m. UTC | #1
On Thu, Jul 02, 2020 at 03:02:32AM +0300, Dmitry Kozlyuk wrote:
> The package is available on all major distributions.
> FreeBSD has no system requirements section in its GSG,
> Windows currently neither uses pmdinfogen not is supported by it.
> 
Why doesn't windows use pmdinfogen?  That tool doesn't relate to DSO function
versioning, it just generates additional symbols for binaries so that we can see
what pmd support is in a given ELF file

Neil

> Signed-off-by: Dmitry Kozlyuk <dmitry.kozliuk@gmail.com>
> ---
>  doc/guides/linux_gsg/sys_reqs.rst | 6 ++++++
>  1 file changed, 6 insertions(+)
> 
> diff --git a/doc/guides/linux_gsg/sys_reqs.rst b/doc/guides/linux_gsg/sys_reqs.rst
> index a124656bc..ef2037ca7 100644
> --- a/doc/guides/linux_gsg/sys_reqs.rst
> +++ b/doc/guides/linux_gsg/sys_reqs.rst
> @@ -56,6 +56,12 @@ Compilation of the DPDK
>      * If the packaged version is below the minimum version, the latest versions
>        can be installed from Python's "pip" repository: ``pip3 install meson ninja``
>  
> +*   ``pyelftools`` (version 0.22+)
> +
> +    * For RHEL/Fedora systems it can be installed using ``dnf install python-pyelftools``
> +
> +    * For Ubuntu/Debian it can be installed using ``apt install python3-pyelftools``
> +
>  *   Library for handling NUMA (Non Uniform Memory Access).
>  
>      * ``numactl-devel`` in RHEL/Fedora;
> -- 
> 2.25.4
> 
>
Dmitry Kozlyuk July 6, 2020, 1:24 p.m. UTC | #2
On Mon, 6 Jul 2020 08:52:57 -0400, Neil Horman wrote:
> On Thu, Jul 02, 2020 at 03:02:32AM +0300, Dmitry Kozlyuk wrote:
> > The package is available on all major distributions.
> > FreeBSD has no system requirements section in its GSG,
> > Windows currently neither uses pmdinfogen not is supported by it.
> >   
> Why doesn't windows use pmdinfogen?  That tool doesn't relate to DSO function
> versioning, it just generates additional symbols for binaries so that we can see
> what pmd support is in a given ELF file

Windows uses COFF instead of ELF. I'm planning to add COFF support to
pmdinfogen in a separate patch and also put wrapper script there. In this
series I'd like to focus on just rewriting existing functionality.
Neil Horman July 6, 2020, 4:46 p.m. UTC | #3
On Mon, Jul 06, 2020 at 04:24:29PM +0300, Dmitry Kozlyuk wrote:
> On Mon, 6 Jul 2020 08:52:57 -0400, Neil Horman wrote:
> > On Thu, Jul 02, 2020 at 03:02:32AM +0300, Dmitry Kozlyuk wrote:
> > > The package is available on all major distributions.
> > > FreeBSD has no system requirements section in its GSG,
> > > Windows currently neither uses pmdinfogen not is supported by it.
> > >   
> > Why doesn't windows use pmdinfogen?  That tool doesn't relate to DSO function
> > versioning, it just generates additional symbols for binaries so that we can see
> > what pmd support is in a given ELF file
> 
> Windows uses COFF instead of ELF. I'm planning to add COFF support to
> pmdinfogen in a separate patch and also put wrapper script there. In this
> series I'd like to focus on just rewriting existing functionality.
> 
Ah, understood, thanks for the clarification

Neil

> -- 
> Dmitry Kozlyuk
>

Patch
diff mbox series

diff --git a/doc/guides/linux_gsg/sys_reqs.rst b/doc/guides/linux_gsg/sys_reqs.rst
index a124656bc..ef2037ca7 100644
--- a/doc/guides/linux_gsg/sys_reqs.rst
+++ b/doc/guides/linux_gsg/sys_reqs.rst
@@ -56,6 +56,12 @@  Compilation of the DPDK
     * If the packaged version is below the minimum version, the latest versions
       can be installed from Python's "pip" repository: ``pip3 install meson ninja``
 
+*   ``pyelftools`` (version 0.22+)
+
+    * For RHEL/Fedora systems it can be installed using ``dnf install python-pyelftools``
+
+    * For Ubuntu/Debian it can be installed using ``apt install python3-pyelftools``
+
 *   Library for handling NUMA (Non Uniform Memory Access).
 
     * ``numactl-devel`` in RHEL/Fedora;